package cn.com.qmth.examcloud.core.reports.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.ExamStudentCountEntity;

public interface ExamStudentCountRepo extends JpaRepository<ExamStudentCountEntity, Long>,
		JpaSpecificationExecutor<ExamStudentCountEntity> {
	public ExamStudentCountEntity findByRootOrgIdAndExamId(Long rootOrgId,Long examId);
	
	@Modifying
	@Query(value = "update ec_r_exam_student_count set online_count=0", nativeQuery = true)
	public void resetAllCount();
}
